# Uses of Interface
org.apache.qpid.proton.engine.Transport

Packages that use Transport
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.engine
org.apache.qpid.proton.engine.impl
org.apache.qpid.proton.reactor.impl

## Uses of Transport in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Transport
Modifier and Type
Method
Description
`static Transport`
Proton.`transport()`

## Uses of Transport in org.apache.qpid.proton.engine

Subinterfaces of Transport in org.apache.qpid.proton.engine
Modifier and Type
Interface
Description
`interface`
`ProtonJTransport`
Extends `Transport` with functionality that is specific to proton-j
Methods in org.apache.qpid.proton.engine that return Transport
Modifier and Type
Method
Description
`static Transport`
Transport.Factory.`create()`
`Transport`
Connection.`getTransport()`
`Transport`
Event.`getTransport()`
`static Transport`
Engine.`transport()`
Methods in org.apache.qpid.proton.engine with parameters of type Transport
Modifier and Type
Method
Description
`void`
SaslListener.`onSaslChallenge(Sasl sasl, Transport transport)`
Called when a sasl-challenge frame has arrived and its effect applied, indicating the challenge sent by the 'server' peer.
`void`
SaslListener.`onSaslInit(Sasl sasl, Transport transport)`
Called when a sasl-init frame has arrived and its effect applied, indicating the selected mechanism and any hostname and initial-response details from the 'client' peer.
`void`
SaslListener.`onSaslMechanisms(Sasl sasl, Transport transport)`
Called when a sasl-mechanisms frame has arrived and its effect applied, indicating the offered mechanisms sent by the 'server' peer.
`void`
SaslListener.`onSaslOutcome(Sasl sasl, Transport transport)`
Called when a sasl-outcome frame has arrived and its effect applied, indicating the outcome and any success additional-data sent by the 'server' peer.
`void`
SaslListener.`onSaslResponse(Sasl sasl, Transport transport)`
Called when a sasl-response frame has arrived and its effect applied, indicating the response sent by the 'client' peer.

## Uses of Transport in org.apache.qpid.proton.engine.impl

Subinterfaces of Transport in org.apache.qpid.proton.engine.impl
Modifier and Type
Interface
Description
`interface`
`TransportInternal`
Extended Transport interface providing access to certain methods intended mainly for internal use, or use in extending implementation details not strictly considered part of the public Transport API.
Classes in org.apache.qpid.proton.engine.impl that implement Transport
Modifier and Type
Class
Description
`class`
`TransportImpl`

## Uses of Transport in org.apache.qpid.proton.reactor.impl

Methods in org.apache.qpid.proton.reactor.impl that return Transport
Modifier and Type
Method
Description
`protected Transport`
SelectableImpl.`getTransport()`
Methods in org.apache.qpid.proton.reactor.impl with parameters of type Transport
Modifier and Type
Method
Description
`protected static Selectable`
IOHandler.`selectableTransport(Reactor reactor, Socket socket, Transport transport)`
`protected void`
SelectableImpl.`setTransport(Transport transport)`